CharacterSetECI (ZXing 3.4.0 API)

com.google.zxing.common

## Enum CharacterSetECI

- java.lang.Object
- - java.lang.Enum<CharacterSetECI>
  - - com.google.zxing.common.CharacterSetECI

- All Implemented Interfaces:
    Serializable, Comparable<CharacterSetECI>

      public enum CharacterSetECI
      extends Enum<CharacterSetECI>

  Encapsulates a Character Set ECI, according to "Extended Channel Interpretations" 5.3.1.1 of ISO 18004.
  Author:
    Sean Owen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCII`
    `Big5`
    `Cp1250`
    `Cp1251`
    `Cp1252`
    `Cp1256`
    `Cp437`
    `EUC_KR`
    `GB18030`
    `ISO8859_1`
    `ISO8859_10`
    `ISO8859_11`
    `ISO8859_13`
    `ISO8859_14`
    `ISO8859_15`
    `ISO8859_16`
    `ISO8859_2`
    `ISO8859_3`
    `ISO8859_4`
    `ISO8859_5`
    `ISO8859_6`
    `ISO8859_7`
    `ISO8859_8`
    `ISO8859_9`
    `SJIS`
    `UnicodeBigUnmarked`
    `UTF8`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CharacterSetECI` | `getCharacterSetECIByName(String name)`
    `static CharacterSetECI` | `getCharacterSetECIByValue(int value)`
    `int` | `getValue()`
    `static CharacterSetECI` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CharacterSetECI[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Cp437

          public static final CharacterSetECI Cp437

    - #### ISO8859_1

          public static final CharacterSetECI ISO8859_1

    - #### ISO8859_2

          public static final CharacterSetECI ISO8859_2

    - #### ISO8859_3

          public static final CharacterSetECI ISO8859_3

    - #### ISO8859_4

          public static final CharacterSetECI ISO8859_4

    - #### ISO8859_5

          public static final CharacterSetECI ISO8859_5

    - #### ISO8859_6

          public static final CharacterSetECI ISO8859_6

    - #### ISO8859_7

          public static final CharacterSetECI ISO8859_7

    - #### ISO8859_8

          public static final CharacterSetECI ISO8859_8

    - #### ISO8859_9

          public static final CharacterSetECI ISO8859_9

    - #### ISO8859_10

          public static final CharacterSetECI ISO8859_10

    - #### ISO8859_11

          public static final CharacterSetECI ISO8859_11

    - #### ISO8859_13

          public static final CharacterSetECI ISO8859_13

    - #### ISO8859_14

          public static final CharacterSetECI ISO8859_14

    - #### ISO8859_15

          public static final CharacterSetECI ISO8859_15

    - #### ISO8859_16

          public static final CharacterSetECI ISO8859_16

    - #### SJIS

          public static final CharacterSetECI SJIS

    - #### Cp1250

          public static final CharacterSetECI Cp1250

    - #### Cp1251

          public static final CharacterSetECI Cp1251

    - #### Cp1252

          public static final CharacterSetECI Cp1252

    - #### Cp1256

          public static final CharacterSetECI Cp1256

    - #### UnicodeBigUnmarked

          public static final CharacterSetECI UnicodeBigUnmarked

    - #### UTF8

          public static final CharacterSetECI UTF8

    - #### ASCII

          public static final CharacterSetECI ASCII

    - #### Big5

          public static final CharacterSetECI Big5

    - #### GB18030

          public static final CharacterSetECI GB18030

    - #### EUC_KR

          public static final CharacterSetECI EUC_KR

  - ### Method Detail

    - #### values

          public static CharacterSetECI[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CharacterSetECI c : CharacterSetECI.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CharacterSetECI valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### getCharacterSetECIByValue

          public static CharacterSetECI getCharacterSetECIByValue(int value)
                                                           throws FormatException

      Parameters:
        `value` - character set ECI value
      Returns:
        `CharacterSetECI` representing ECI of given value, or null if it is legal but unsupported
      Throws:
        `FormatException` - if ECI value is invalid

    - #### getCharacterSetECIByName

          public static CharacterSetECI getCharacterSetECIByName(String name)

      Parameters:
        `name` - character set ECI encoding name
      Returns:
        CharacterSetECI representing ECI for character encoding, or null if it is legal but unsupported

Copyright © 2007–2019. All rights reserved.